
Foreman - Bug #4537

Unsetting roles via API does not work

03/04/2014 08:57 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When user tries to set empty array of role_ids, he receives

{

    "error": {

        "message": "undefined method `uniq' for nil:NilClass" 

    }

}

 
Started PUT "/foreman/api/users/13" for 127.0.0.1 at 2014-03-04 09:40:34 +0100

Processing by Api::V1::UsersController#update as JSON

  Parameters: {"user"=>{"login"=>"somelogin", "role_ids"=>nil}, "apiv"=>"v1", "id"=>"13"}

  User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [["id", 1]]

Setting current user thread-local variable to admin

  User Load (0.5ms)  SELECT "users".* FROM "users" WHERE "users"."login" = '13' ORDER BY firstname

 LIMIT 1

  User Load (0.3ms)  SELECT "users".* FROM "users" WHERE "users"."id" = 13 ORDER BY firstname LIMI

T 1

   (0.2ms)  BEGIN

   (0.1ms)  ROLLBACK

undefined method `uniq' for nil:NilClass (NoMethodError)

/home/ares/Projekty/Zdrojaky/foreman/app/models/user.rb:272:in `role_ids_with_change_detection='

Associated revisions

Revision 615ff085 - 03/06/2014 12:21 PM - Marek Hulán

Fixes #4537 - user can set empty roles array via API

History

#1 - 03/04/2014 08:58 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

- translation missing: en.field_release set to 4

#2 - 03/05/2014 12:33 PM - Marek Hulán

PR https://github.com/theforeman/foreman/pull/1267

#3 - 03/06/2014 12:31 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 615ff08551d0c1fc0cce667b1d57be929dbf92a7.
